Error "Launching"

Help
neandr
2007-09-19
2013-04-24
  • neandr
    neandr
    2007-09-19

    Hello,
    just installed XulBooster 0.1.7 into my Ec3.2.2 and (nearly) everything looks well. I entered the first "HelloWorld" project, but with >>Select a Xul extension Project in the navigator panel. Select Run->Externals tools->Firefox launcher
    Firefox start, and the extension is automatically registered <<
    I just get an error saying "An internal error ocurred during: "Launching".
    I selected the "Hello" project at different positions (root, .project, ...) but on chance!

    Any advice how to repair? Where to check the setup or .... ???

     
    • neandr
      neandr
      2007-09-19

      Just founf the following error log:

      !ENTRY org.eclipse.core.jobs 4 2 2007-09-19 18:38:16.941
      !MESSAGE An internal error occurred during: "Launching".
      !STACK 0
      java.lang.NullPointerException
          at java.util.regex.Matcher.appendReplacement(Unknown Source)
          at java.util.regex.Matcher.replaceAll(Unknown Source)
          at java.lang.String.replaceAll(Unknown Source)
          at org.xulbooster.eclipse.xb.launcher.core.XulExtensionToolsUtil.replaceXulVariables(XulExtensionToolsUtil.java:205)
          at org.xulbooster.eclipse.xb.launcher.core.XulExtensionToolsUtil.getArguments(XulExtensionToolsUtil.java:126)
          at org.xulbooster.eclipse.xb.launcher.core.XulExtensionLaunchConfigurationDelegate.launch(XulExtensionLaunchConfigurationDelegate.java:123)
          at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:639)
          at org.eclipse.debug.internal.core.LaunchConfiguration.launch(LaunchConfiguration.java:565)
          at org.eclipse.debug.internal.ui.DebugUIPlugin.buildAndLaunch(DebugUIPlugin.java:754)
          at org.eclipse.debug.internal.ui.DebugUIPlugin$6.run(DebugUIPlugin.java:944)
          at org.eclipse.core.internal.jobs.Worker.run(Worker.java:58)

      Also during the installation process maybe I have not set this correctly:

      If java.specification.version is not egual with 1.5 .xx then  eclipse use another jre (see java.home parameter). In this case the easy way is to reference the jre in the eclipse.ini file. In this file you must add and after restart eclipse:

      -vm

      C:\{...path\jre1.5...}\javaw.exe

      To be honest .. I didn't really understand. With Configuration Data I got:

        java.runtime.version=1.5.0_09-b01
        java.specification.name=Java Platform API Specification
        java.specification.vendor=Sun Microsystems Inc.
        java.specification.version=1.5

      Does this mean I have to change anything. My eclipse.ini  is this:
      -vmargs
      -Xms40m
      -Xmx256m

      Is it I have to append with one line to "eclipse.ini" :
      -vm C:\Programme\Java\jre1.5.0_09\bin\javaw.exe
      So the entires are finally:
      -vmargs
      -Xms40m
      -Xmx256m
      -vm C:\Programme\Java\jre1.5.0_09\bin\javaw.exe

      Hope someone can help on this .... soon.

      Thanks Günter